Bug 6171 - Can't edit items
Summary: Can't edit items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) blocker (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL: /cgi-bin/koha/cataloguing/additem.pl?...
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-04-12 06:13 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.68 KB, patch)
2011-04-12 06:38 UTC, Frédéric Demians
Details | Diff | Splinter Review
Signed off patch (1.75 KB, patch)
2011-04-12 07:04 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-04-12 06:13:53 UTC
Steps to reproduce:

1)
- Add a new item for your branch in cataloging
- Try to edit the item

2)
- Try to modify an existing item

Browser:
Can't call method "fields" on an undefined value at /home/katrin/kohaclone/C4/Biblio.pm line 2097.

Error log:
[Tue Apr 12 08:06:44 2011] [error] [client ::1] [Tue Apr 12 08:06:44 2011] additem.pl: Can't call method "fields" on an undefined value at /home/katrin/kohaclone/C4/Biblio.pm line 2097., referer: http://localhost:8080/cgi-bin/koha/cataloguing/additem.pl
Comment 1 Magnus Enger 2011-04-12 06:22:06 UTC
3.2.x has this link for editing items: 

additem.pl?op=edititem&biblionumber=1&itemnumber=2#edititem

versus this in master: 

additem.pl?op=edititem&itemnumber=20#edititem

In master, biblionumber is missing from the link.
Comment 2 Frédéric Demians 2011-04-12 06:38:03 UTC
Created attachment 3886 [details] [review]
Proposed patch
Comment 3 Magnus Enger 2011-04-12 07:04:11 UTC
Created attachment 3887 [details] [review]
Signed off patch

Works as expected.
Comment 4 Chris Cormack 2011-04-12 07:54:32 UTC
Pushed, please test
Comment 5 Katrin Fischer 2011-04-24 10:47:04 UTC
Tested successfully in 3.4.